function getSizeOfMap(map) {
	var len=0;
	for (var key in map) {
		if (map.hasOwnProperty(key)) {++len;}
	}
	return len;
}

function getQueryVariable(variable) {
    var query = window.location.search.substring(1);
    var vars = query.split("&");
    for ( var i = 0; i < vars.length; i++) {
        var pair = vars[i].split("=");
        if (pair[0] == variable) {
            return pair[1];
        }
    }
    return (false);
};

function getHidden() {
  var hidden; 
  if (typeof document.hidden !== "undefined") { // Opera 12.10 and Firefox 18 and later support 
    hidden = "hidden";
  }
  else if (typeof document.mozHidden !== "undefined") {hidden = "mozHidden";}
  else if (typeof document.msHidden !== "undefined") {hidden = "msHidden";}
  else if (typeof document.webkitHidden !== "undefined") {hidden = "webkitHidden";}
  else {return true;}
  return document[hidden];
}

function isScreenSize( alias ) {
    return $('.device-' + alias).is(':visible');
}
function getScreenSize() {
	if (isBreakpoint('xs')) {return 'xs';}
	if (isBreakpoint('sm')) {return 'sm';}
	if (isBreakpoint('md')) {return 'md';}
	if (isBreakpoint('lg')) {return 'lg';}
}

function getMaxScreenSize() {
	if (screen.width<768) {return 'xs';}
	if (screen.width>767 && screen.width<992) {return 'sm';}
	if (screen.width>991 && screen.width<1200) {return 'md';}
	if (screen.width>1199) {return 'lg';}
}

$.extend({
  distinct: function(array, id) {
    var dupes={};
    var uniques=[];
    $.each(array, function(i, obj) {
      if (!dupes[id(obj)]) {
        dupes[id(obj)] = true;
        uniques.push(obj);
      }
    });
    return uniques;
}});
/*
(function() {
	var method;
    var noop = function () {};
    var methods = [
      'assert', 'clear', 'count', 'debug', 'dir', 'dirxml', 'error',
      'exception', 'group', 'groupCollapsed', 'groupEnd', 'info', 'log',
      'markTimeline', 'profile', 'profileEnd', 'table', 'time', 'timeEnd',
      'timeStamp', 'trace', 'warn'
    ];
    var length = methods.length;
    var console = (window.console = window.console || {});
 
    while (length--) {
      method = methods[length];

      //if (!console[method]) {
        console[method] = noop;
      //}
    }
})();*/
