(function() {
	var wsClientModule = angular.module('wsClientModule', []);
	
	wsClientModule.service("wsService", ['MyData', '$q', function(MyData, $q) {
		console.log('^^^^^^^^^^^^^^^ WS SERVICE... ^^^^^^^^^^^');
		var stompClient;
		var socket;
		
		var service = {};
		//var listener = $q.defer();
		var isConnected = $q.defer();
		
		/*service.respHandler = function() {
			return listener.promise;
		};*/
		
		service.isConnected = function() {
			return isConnected.promise;
		}
		
		var defaultCallback = function(resp) {
			//listener.notify(JSON.parse(resp.body));
		}
		
		service.send = function(dest, headers, payload) {
			//console.log(stompClient);
			//console.log(payload);
			//console.log('>>>>>>>>>>>>>>>> ' + dest);
			stompClient.send(dest, headers?headers:{}, payload?JSON.stringify(payload):"");
		};
		
		service.subscribe = function(dest, headers, callback) {
			return stompClient.subscribe(dest, callback||defaultCallback, headers);
		}
		
		var connected = function(frame) {
	            console.log('Connected: ' + frame);
	            console.log(frame);
	            
	            stompClient.subscribe('/topic/main/**', defaultCallback);
	            stompClient.subscribe('/king/connectInfo', function(resp) {
	              MyData.sessionId = resp.body;
	            	isConnected.resolve();
	            });	            
		};
		
		var initialize = function() {
console.log("-------------------- WSSERVICE INITIALIZING ----------------------");
			//socket = new SockJS('/king/hello');
//socket = new SockJS('http://www.kagitoyna.com:8000/king/hello');
socket = new SockJS('http://king-kagitoyna.rhcloud.com:8000/king/hello');

//socket = new SockJS('http://192.168.1.34:8080/king/hello');
		        stompClient = Stomp.over(socket);
stompClient.debug=null;
		        stompClient.connect({login:'eheheh'}, connected);
		      //socket.stomp.onclose = reconnect;
		    };
		    
		initialize();
		
		return service;
	}]);
	
	
	wsClientModule.service("MyData", [function() {
		this.sessionId;
		this.room;
	}]);
})();