var CardGame = function() {
  this.view;
  this.model;
};

CardGame.prototype.STATUS = {NOT_READY:'NOT_READY', READY_TO_START:'READY_TO_START', STARTED:'STARTED', PLAYING:'PLAYING', STOPPED:'STOPPED', ENDED:'ENDED'};

var CardView = function() {
  this.main_stage={};
  this.$domComponents;
  this.$domContainer;
  this.domExt={};
  this.soundEnabled = false;
  this.mainW;
  this.mainH;
  this.cardW = 75;
  this.cardH = 118;
  this.myHandW; //this.myHandWs = {lg:380, sm:280};
  this.myHandH = this.cardH;
  this.wBtwHand; this.wBtwHands = {lg:45, sm:45};
  this.myHandX; //this.handXs = {lg:210, sm:40};
  this.myHandY; //this.handYs = {lg:420, sm:260};
  this.plateSmWs = {sm:144, lg:196}; this.plateSmHs = {sm:52, lg:45};
  this.cardTableX; //this.cardTableXs = {lg:150, sm:90};
  this.cardTableY; //this.cardTableYs = {lg:130, sm:50};
  this.cardTableW;this.cardTableH;
  this.toleranceW=0;this.toleranceN=0;this.toleranceE=0;this.toleranceS=0;
  this.distTableW=0;this.distTableN=0;this.distTableE=0;this.distTableS=0;
  this.yourTurnArrowW = 27; this.yourTurnArrowH = 27;
  this.distMyHandS=0;
  this.nonPlayableCardB = -0.45;
  this.SuitSort = [Card.SUITS.SPADES, Card.SUITS.DIAMONDS, Card.SUITS.CLUBS, Card.SUITS.HEARTS];
  this.cardBorderW = 5;
  this.cardMoveByClickY = -10;
  this.myPosition = CardView.PLAYER_POSITIONS.SOUTH;
  this.myHand;
  this.isHandEnabled = false;
  this.playerPositions = {};
  this.playDirection = CardView.PLAY_DIRECTIONS.CW;
  this.timeoutIDs = {};
  this.dialogs = {};
  this.activeDialog = CardView.DIALOGS.NONE;
  this.textGreen = '#8BFF0F';
  this.suitFigL_H = 160;
  this.display={};
  this.anim={};
  this.anim.id = 0;
  this.anim.stopped = true;
  this.queue = [];
  this.queued;
  
  this.SOUTH; this.SOUTHs = {lg:{group:{x:306,y:510}, table:{x:50,y:110}, username:{group:{x:0,y:0,rot:0},plate:{x:0,y:0},text:{x:46,y:9,h:24}}, sitdown:{x:76,y:-60}, hand:{x:0,y:0,btw:this.wBtwHands.lg,dir:'v',rot:0,rotBtw:0}, takenCard:{x:-10,y:this.plateSmHs.lg+2}},
      sm:{group:{x:150,y:300}, table:{x:30,y:50}, username:{group:{x:0,y:0,rot:0},plate:{x:0,y:0,scaleX:1,scaleY:-1},text:{x:20,y:25,h:24}}, hand:{x:0,y:0,btw:this.wBtwHands.sm,dir:'v',rot:0,rotBtw:0}, takenCard:{x:0,y:0}, yourTurn:{x:-1*this.yourTurnArrowW-9,y:12,rot:0}}};
  this.WEST; this.WESTs = {lg:{group:{x:20,y:200}, table:{x:0,y:60}, username:{group:{x:0,y:60,rot:0},plate:{x:0,y:0},text:{x:46,y:9,h:24}}, sitdown:{x:76,y:0}, hand:{x:140,y:0,btw:10,dir:'h',rot:Math.PI/2,rotBtw:Math.PI*(3/180)}, takenCard:{x:-10,y:24}},
      sm:{group:{x:10,y:70}, table:{x:0,y:30}, username:{group:{x:0,y:0,rot:Math.PI*(90/180)},plate:{x:0,y:0,scaleX:1,scaleY:-1},text:{x:20,y:25,h:24}}, hand:{x:140,y:0,btw:10,dir:'h',rot:Math.PI*(90/180),rotBtw:Math.PI*(3/180)}, takenCard:{x:0,y:0}, yourTurn:{x:-12,y:-1*this.yourTurnArrowW-9,rot:Math.PI*(90/180)}}};
  this.NORTH; this.NORTHs = {lg:{group:{x:256,y:70}, table:{x:60,y:10}, username:{group:{x:0,y:60,rot:0},plate:{x:0,y:0},text:{x:46,y:9,h:24}}, sitdown:{x:76,y:0}, hand:{x:-1*Math.floor(this.cardW/3),y:-10,btw:15,dir:'v',rot:0,rotBtw:Math.PI*(-3/180)}, takenCard:{x:40,y:-46}},
      sm:{group:{x:150,y:0}, table:{x:40,y:0}, username:{group:{x:0,y:0,rot:0},plate:{x:0,y:0,scaleX:1,scaleY:1},text:{x:20,y:2,h:24}}, hand:{x:0,y:-10,btw:15,dir:'v',rot:0,rotBtw:Math.PI*(-3/180)}, takenCard:{x:0,y:0}, yourTurn:{x:-1*this.yourTurnArrowW-9,y:12,rot:0}}};
  this.EAST; this.EASTs = {lg:{group:{x:566,y:200}, table:{x:100,y:50}, username:{group:{x:0,y:60,rot:0},plate:{x:0,y:0},text:{x:46,y:9,h:24}}, sitdown:{x:76,y:0}, hand:{x:59,y:this.cardW,btw:10,dir:'h',rot:Math.PI*(-90/180),rotBtw:Math.PI*(-3/180)}, takenCard:{x:-10,y:24}},
      sm:{group:{x:290,y:70}, table:{x:70,y:15}, username:{group:{x:0,y:0,rot:Math.PI*(-90/180)},plate:{x:0,y:0,scaleX:-1,scaleY:-1},text:{x:20,y:25,h:24}}, hand:{x:20,y:this.cardW,btw:10,dir:'h',rot:Math.PI*(-90/180),rotBtw:Math.PI*(-3/180)}, takenCard:{x:0,y:0}, yourTurn:{x:this.plateSmHs.sm-12,y:-1*this.plateSmWs.sm-this.yourTurnArrowW-9,rot:Math.PI*(90/180)}}};
};

CardView.PLAYER_POSITIONS = Object.freeze({SOUTH:{name:'SOUTH',val:0}, WEST:{name:'WEST',val:1}, NORTH:{name:'NORTH',val:2}, EAST:{name:'EAST',val:3}});
CardView.PLAY_DIRECTIONS = Object.freeze({CW:1, CCW:-1});
CardView.ANIMS = {DEAL_ALL:{name:'DEAL_ALL'}, DEAL_HAND:{name:'DEAL_HAND'}, PLAY_ON_TABLE:{name:'PLAY_ON_TABLE'}, CLEAR_TABLE:{name:'CLEAR_TABLE'}, HAND_CLOSEUP:{name:'HAND_CLOSEUP',val:{}}};
CardView.DIALOGS = {NONE:{name:'NONE'}, SITDOWN:{name:'SITDOWN'}, WAITING:{name:'WAITING'}, STARTING:{name:'STARTING'}, ENDED:{name:'ENDED'}};
CardView.TIMEOUTIDS = {SITDOWN:'SITDOWN', WAITING:'WAITING'};

CardView.prototype.pushToQueue = function(f, args, hasCallback, callback) {
  var that=this;
  var fn, cb = function() {that.runQueue();};
  if (hasCallback) {
    if (callback) {cb = function(){console.error('jeje');callback();console.error('ajajaj');that.runQueue();};}
    args.push(cb);
    fn = f.bind.apply(f, args);
  }
  else {
    var f1 = f.bind.apply(f, args);
    if (callback) {fn = function(){f1();callback();that.runQueue();};}
    else {fn = function(){f1();that.runQueue();};}
  }
  
  if (!this.queued || this.queued.state()!='pending')
  {
    this.queued=$.Deferred();
    fn();
  }
  else {
    this.queue.push(fn);
  }
}

/*
CardView.prototype.pushToQueue = function(f) {
  var that=this;
  if (!this.queued || this.queued.state()!='pending')
  {
    this.queued=$.Deferred();
    f.call();
  }
  else {
    this.queue.push(f);
  }
}*/

CardView.prototype.runQueue = function() {
  if (this.queue.length) {
    this.queue.shift()();
  }
  if (!this.queue.length) {this.queued.resolve();}
  
}

CardView.prototype.customize = function(size) {
  this.wBtwHand = this.wBtwHands[size];
  
  var minToleranceW = 2, minToleranceH = 2;
  this.noneGameAreaH = this.smallScreen?100:200;
  var noneGameAreaW = this.smallScreen?20:50;
  
  this.mainW = (this.smallScreen?document.documentElement.clientWidth:screen.availWidth) - noneGameAreaW;
  this.mainH = (this.smallScreen?document.documentElement.clientHeight:screen.availHeight) - this.noneGameAreaH;

  if (size=='sm') {
    this.userGroupW_W = (this.WESTs[size].username.group.rot == 0) ? this.plateSmWs.sm : this.plateSmHs.sm;
    this.userGroupN_W = this.plateSmWs.sm;
    this.userGroupE_W = (this.EASTs[size].username.group.rot == 0) ? this.plateSmWs.sm : this.plateSmHs.sm;
    this.userGroupS_W = this.plateSmWs.sm;
    this.userGroupW_H = (this.WESTs[size].username.group.rot == 0) ? this.plateSmHs.sm : this.plateSmWs.sm;
    this.userGroupN_H = this.plateSmHs.sm;
    this.userGroupE_H = (this.EASTs[size].username.group.rot == 0) ? this.plateSmHs.sm : this.plateSmWs.sm;
    this.userGroupS_H = this.plateSmHs.sm;
  }
  else if (size=='lg') {
    this.userGroupW_W=200;this.userGroupN_W = 200;this.userGroupE_W=200;this.userGroupS_W = 200;
    this.userGroupW_H=125;this.userGroupN_H=125;this.userGroupE_H=125;this.userGroupS_H=65;
  }

  this.cardTableW = this.EASTs[size].table.x + this.cardW - this.WESTs[size].table.x;
  this.cardTableH = this.SOUTHs[size].table.y + this.cardH - this.NORTHs[size].table.y;
  
  this.toleranceW=0,this.toleranceN=0,this.toleranceE=0,this.toleranceS=0,this.distTableS=0,this.distTableN=0,this.distTableW=0,this.distTableE=0,this.distMyHandS=0;
  
  var totalFixW = this.userGroupW_W + this.cardTableW + this.userGroupE_W;
  var totalFixH = this.userGroupN_H + this.cardTableH + this.myHandH + this.userGroupS_H;
  
  var percent_distTableN = 40;
  var percent_distTableS = 58;
  var percent_distMyHandS = 2;
  var percent_distTableE = 50;
  var percent_distTableW = 50;
  
  //this.distTableW;this.distTableN;this.distTableE;this.distTableS;
  
  var availH = this.mainH - totalFixH;
  var availW = this.mainW - totalFixW;
  
  if (availH > 0) {
    if (availH >= minToleranceH * 2) {
      this.toleranceN = minToleranceH;
      this.toleranceS = minToleranceH;
    }
    availH = availH - minToleranceH * 2;
    if (availH > 0) {
      this.distTableN = Math.floor(availH/100 * percent_distTableN);
      this.distTableS = Math.floor(availH/100 * percent_distTableS);
      this.distMyHandS = Math.floor(availH/100 * percent_distMyHandS);
    }
  }
  
  if (availW > 0) {
    if (availW >= minToleranceW * 2) {
      this.toleranceE = minToleranceW;
      this.toleranceW = minToleranceW;
    }
    availW = availW - minToleranceW * 2;
    if (availW > 0) {
      this.distTableE = Math.floor(availW/100 * percent_distTableE);
      this.distTableW = Math.floor(availW/100 * percent_distTableW);
    }
  }
  
  if (size=='lg') {
    this.myHandW = this.mainW - this.userGroupW_W - this.userGroupE_W - 50;
  }
  else {
    this.myHandW = Math.floor(this.mainW/4*3);
  }
  
  this.myHandMaxX = Math.ceil((this.mainW-this.myHandW)/2);
  this.myHandMinX = this.myHandW + this.myHandMaxX;
  
  this.userGroupN_Y = this.toleranceN;
  this.userGroupN_X = Math.floor(this.mainW/2 - this.userGroupN_W/2);
  this.userGroupS_X = this.userGroupN_X;
  this.userGroupS_Y = this.mainH - this.toleranceS - this.userGroupS_H;
  this.userGroupW_X = this.toleranceW + (this.WESTs[size].username.group.rot==0?0:this.userGroupW_W);
  this.userGroupW_Y = Math.floor(this.mainH/2 - this.userGroupW_H/2);
  this.userGroupE_X = this.mainW - this.toleranceE - this.userGroupE_W;
  this.userGroupE_Y = Math.floor(this.mainH/2 - this.userGroupE_H/2) + (this.EASTs[size].username.group.rot==0?0:(this.userGroupE_H));
  this.cardTableX = this.userGroupW_W + this.distTableW;
  this.cardTableY = this.userGroupN_Y + this.userGroupN_H + this.distTableN;
  var handRealW = (this.model.NUM_CARD_IN_DEAL_HAND-1)*this.wBtwHand + this.cardW;
  this.myHandX = Math.floor(this.userGroupS_X + this.userGroupS_W/2 - this.myHandW/2);
  var myhandy1 = this.cardTableY + this.cardTableH + this.distTableS;
  var myhandy2 = this.userGroupS_Y - this.cardH - 4;
  this.myHandY = (myhandy1 > myhandy2) ? myhandy1 : myhandy2;
  
  if (this.myHandY < this.userGroupW_Y + this.userGroupW_H) {
    this.userGroupW_Y -= (this.userGroupW_Y + this.userGroupW_H - this.myHandY);
    this.userGroupE_Y -= (this.userGroupE_Y - this.myHandY);
  }
  
  if ((this.mainH + this.suitFigL_H)/2 > this.myHandY) {
	  $('.div-chosenUnitFig').css('bottom', (2*(Math.ceil((this.mainH + this.suitFigL_H)/2) - this.myHandY))+'px');
  }

  this.SOUTHs['sm'].group = {x:this.userGroupS_X, y:this.userGroupS_Y};
  this.SOUTHs['lg'].group = {x:this.userGroupS_X, y:this.userGroupS_Y};
  this.WESTs['sm'].group = {x:this.userGroupW_X, y:this.userGroupW_Y};
  this.WESTs['lg'].group = {x:this.userGroupW_X, y:this.userGroupW_Y};
  this.NORTHs['sm'].group = {x:this.userGroupN_X, y:this.userGroupN_Y};
  this.NORTHs['lg'].group = {x:this.userGroupN_X, y:this.userGroupN_Y};
  this.EASTs['sm'].group = {x:this.userGroupE_X, y:this.userGroupE_Y};
  this.EASTs['lg'].group = {x:this.userGroupE_X, y:this.userGroupE_Y};
  
  this.playerPosCoords = {SOUTH:this.SOUTHs[size], WEST:this.WESTs[size], NORTH:this.NORTHs[size], EAST:this.EASTs[size]};

  $('body').css('margin-bottom', this.mainH);
  $('.dialog').css('max-width', Math.floor(this.smallScreen?this.mainW*0.6:this.mainW*0.4));
}

CardView.prototype.init = function() {
  this.dialogs[CardView.DIALOGS.SITDOWN.name]=$('#dialog-sitdown');
  this.dialogs[CardView.DIALOGS.WAITING.name]=$('#dialog-waitingOthers');
  this.dialogs[CardView.DIALOGS.STARTING.name]=$('#dialog-start');
  this.dialogs[CardView.DIALOGS.ENDED.name]=$('#dialog-ended');
  this.$domComponents=$('#tempDomComponents');
  this.$domContainer=$('#dom_container');
  this.domExt['aud-yourTurn'] = $('#aud-yourTurn');
  this.domExt['aud-startGame'] = $('#aud-startGame');
  
  this.display.renderer = new PIXI.autoDetectRenderer(this.mainW, this.mainH, {transparent: true});
  document.getElementById('container').appendChild(this.display.renderer.view);
  this.display.main_stage = new PIXI.Container();
  
  var useHandW = (this.model.NUM_CARD_IN_DEAL_HAND-1)*this.wBtwHand+this.cardW;
  this.display.cardTable = new CardTable();
  this.display.cardTable.position.set(this.cardTableX, this.cardTableY);
  this.display.myHand = new PIXI.Container();
  this.display.myHand.position.set(this.myHandX, this.myHandY);
  this.display.main_stage.addChild(this.display.myHand);
  this.myHand = this.display.myHand;
  this.myHand.interactive = true;
  this.isMyHandWwider = (this.useHandW>(this.myHandMinX-this.myHandMaxX));
  var that=this;
  make_draggable(this.myHand, {x:true}, {onMove: function(x) {
    if (!(this.startX<=x+8 && this.startX>=x-8)) {this.dragged = true;}
    var firstX = this.children[0].x;
	  if (this.width > that.myHandW) {
		  if (x > that.myHandMaxX-firstX) {this.x = that.myHandMaxX-firstX;}
		  else if ((x+this.width) < that.myHandMinX-firstX) {this.x = that.myHandMinX-firstX - this.width;}
		  else {this.x = x;}
	  }
	  else {
		  if (x < that.myHandMaxX-firstX) {this.x = that.myHandMaxX-firstX;}
		  else if (x+this.width > that.myHandMinX-firstX) {this.x = that.myHandMinX-firstX - this.width;}
		  else {this.x = x;}
	  }
  }});
  this.display.main_stage.addChild(this.display.cardTable);
  
  if (!this.smallScreen) {
    this.timeoutIDs[CardView.TIMEOUTIDS.SITDOWN] = setTimeout(function() {that.showDialog(CardView.DIALOGS.SITDOWN, true);}, 5000);
  }
  
  this.display.playerViews={};
  
  for (var pos in this.playerPosCoords) {
    var seat = CardView.PLAYER_POSITIONS[pos].val;
    var coords = this.playerPosCoords[pos];
    
    var playerView = new KingPlayerView(pos);
    playerView.setCoords(coords);
    
    this.display.playerViews[seat] = playerView;
    this.display.main_stage.addChild(playerView);
    playerView.init();

    if (!this.smallScreen) {
    	/*if (window.location.origin != 'file://') {
    		chair.cache();
    		chair.drawHitFromCache();
    		this.main_layer.drawHit();
    	}*/
    }
  }
 
  this.startAnim();
  
  $('.playbg').css('width', this.mainW).css('height', this.mainH).detach().appendTo('#container');
  $('#dom_container').css('width', this.mainW).css('height', this.mainH).detach().appendTo('#container');
};

CardView.prototype.draw = function() {
	this.display.renderer.render(this.display.main_stage);
}

CardView.prototype.getReadyToStart = function() {
  this.cancelShowDialog(CardView.TIMEOUTIDS.WAITING, CardView.DIALOGS.WAITING);
  this.showDialog(CardView.DIALOGS.STARTING, true);
  if (this.soundEnabled && getHidden()) {this.domExt['aud-startGame'][0].play();}
};
CardView.prototype.startGame = function() {
  this.showDialog(CardView.DIALOGS.NONE, true);
};
CardView.prototype.resumeGame = function() {
  if (this.soundEnabled && getHidden()) {this.domExt['aud-startGame'][0].play();}
}
CardView.prototype.initToResume = function(props) {
  var tableCards = props.tableCards;
  var seatCard = [];
  for (var id in tableCards) {
    seatCard.push({c:id, s:tableCards[id]});
  }
  seatCard.sort(function(a,b){return a.s>b.s;});

  var isUnordered = false;
  for (var i=1;i<getSizeOfMap(seatCard);++i) {
    if (seatCard[i].s-seatCard[i-1].s > 1) {
      isUnordered = true;
      break;
    }
  }
  if (isUnordered) {
    var temp = seatCard.splice(0, i);
    seatCard = seatCard.concat(temp);
  }
  for (var i=0; i<getSizeOfMap(seatCard);++i) {
    this.addCardToTable(seatCard[i].c, seatCard[i].s, props.currentTrick);
  }
  
  var seats = props.seats;
  //seats[i].position, seats[i].numOfCurrentCard
}

CardView.prototype.addPlayer = function(player, isMe) {
  if (!player) {console.error('view: couldnt add player');return;}
  if (isMe) {
    this.cancelShowDialog(CardView.TIMEOUTIDS.SITDOWN, CardView.DIALOGS.SITDOWN);
    this.timeoutIDs[CardView.TIMEOUTIDS.WAITING] = setTimeout(function() {that.showDialog(CardView.DIALOGS.WAITING, true);}, 3000);
  }
  var that=this;
  var pos;
  pos = this.getPlayerPosition(player.seat);
  this.playerPositions[player.id] = pos;
  var playerView = this.display.playerViews[player.seat];
  playerView.player = player.id;
  
  playerView.usernameGroup.usernameText.style.fill = 'white';
  playerView.usernameGroup.usernameText.text = player.username;
  //var coords = this.playerPosCoords[pos];
  //playerView.usernameGroup.usernameText.y(coords.username.text.y+Math.floor((coords.username.text.h-usernameText.height())/2));
  
  if (!this.smallScreen) {  
	  playerView.chair.visible = false;
  }
  if (isMe) {
    this.recalPlayerPositions();
  }

  //if (!document.hidden) {
    //this.main_layer.draw();
  //}
};
CardView.prototype.removePlayer = function(player) {
  if (this.isHandEnabled) {this.disableHand();}
  var playerView = this.display.playerViews[player.seat];
  playerView.init(true);
};
CardView.prototype.getPlayerPosition = function(seat) {
  var diff = seat - (this.model.getMe()?this.model.getMe().seat:this.myPosition.val);
  diff = this.playDirection*diff;
  var myPosVal = this.myPosition.val+diff;
  if (myPosVal<0) {
    myPosVal = myPosVal + getSizeOfMap(CardView.PLAYER_POSITIONS);
  }
  
  return CardView.getPlayerPositionLiteral(myPosVal);
};
CardView.prototype.recalPlayerPositions = function() {
  var len = getSizeOfMap(this.display.playerViews);
  var cntFin = 0;
  var callback = null;
  var that = this;
  
  for (var key in this.display.playerViews) {
    var playerView = this.display.playerViews[key];
    var newPos = this.getPlayerPosition(playerView.seat);
    this.movePlayer(playerView, newPos);
    if (playerView.isOccupied()) {
      this.playerPositions[playerView.player] = newPos;
    }
  }
  if (this.controller.gameStatus ==  CardGame.prototype.STATUS.STOPPED) {
    that.controller.onClickedStartGame();
  }
};
CardView.prototype.movePlayer = function(playerView, newPos) {
  var seat = playerView.seat;
  var coords = this.playerPosCoords[newPos];
  var oldPos = playerView.pos;
  playerView.position.set(coords.group.x, coords.group.y);
  playerView.pos = newPos;
  var usernameGroup = playerView.usernameGroup;

  usernameGroup.position.set(coords.username.group.x, coords.username.group.y);
  usernameGroup.rotation = coords.username.group.rot;
  var usernameText = usernameGroup.usernameText;
  usernameText.x=coords.username.text.x;//.y(coords.username.text.y+Math.floor((coords.username.text.h-usernameText.height())/2));
  usernameText.y=coords.username.text.y;
  var nameplate = usernameGroup.nameplate;
  nameplate.position.set(coords.username.plate.x, coords.username.plate.y);
  if (this.smallScreen) {
    nameplate.scale.set(coords.username.plate.scaleX, coords.username.plate.scaleY);
    nameplate.anchor.set(coords.username.plate.scaleX<0?1:0, coords.username.plate.scaleY<0?1:0);
  }
  
  for (var i=0;i<this.display.cardTable.children.length;++i) {
    var card = this.display.cardTable.children[i];
    if (card.seat == seat) {
      card.position.set(coords.table.x, coords.table.y);
    }
  }

  if (!this.smallScreen) {
	  var hand = playerView.hand;
	  hand.position.set(coords.hand.x, coords.hand.y);
	  var numOfCards = hand.children.length;
	  if (numOfCards > 0) {
		  hand.removeChildren();
	  }

	  var chair = playerView.chair;
	  chair.position.set(coords.sitdown.x, coords.sitdown.y);
  }
  else {
    var turnArrow = playerView.yourTurnArrow;
    turnArrow.position.set(coords.yourTurn.x, coords.yourTurn.y);
    turnArrow.rotation = coords.yourTurn.rot;
    playerView.yourTurnArrowTween.kill();
    playerView.yourTurnArrowTween = TweenLite.to(turnArrow, 0.5, {x:'+='+(coords.yourTurn.rot==0?5:0)+'px', y:'+='+(coords.yourTurn.rot==0?0:5)+'px', paused:true, onComplete:function(){this.reverse();},
        onReverseComplete:function(){this.play();}});
    
  }
};
CardView.prototype.getPlayerView = function(player) {
  return this.playerViews[player.seat];
}
CardView.getPlayerPositionLiteral = function(pos) {
  for (var key in CardView.PLAYER_POSITIONS) {
    if (CardView.PLAYER_POSITIONS[key].val == pos) {
      return key;
    }
  }
};
CardView.prototype.startRequest = function(username) {
  if (this.model.isMe(username)) {
    //this.domExt['btn-startGame'].attr('disabled', true);
  }
};
CardView.prototype.addCardToHand = function(card, indOfCard) {
  var hand = this.myHand;
  var cardView = this.display.cards[Card.getId(card.suit,card.rank)];
  if (hand.children.length == 0) {cardView.x = 0;}
  else {cardView.x = hand.children[hand.children.length-1].x + this.wBtwHand;}
  cardView.indInHand = indOfCard;
  hand.addChild(cardView);
};

CardView.prototype.enableHand = function(cards) {
  var that = this;
  for (var i=0; i<cards.length; ++i) {
    that.enableCard(cards[i]);
  }
  that.isHandEnabled = true;
};
CardView.prototype.disableHand = function() {
	for (var i=0; i<this.myHand.children.length; ++i) {
		if (this.myHand.children[i].isEnabled) {this.disableCard(this.myHand.children[i]);}
	}

  this.isHandEnabled = false;
};

CardView.prototype.cardClicked = function(byProg) {
  if ((this.dragging || this.parent.dragged) && byProg!=true) {return;}
  if (this.isClicked || byProg==true) {
    CardGame.view.controller.onClickedHandCard(this.getId());
  }
  if (!this.isClicked || byProg==true) {
    for (var i=0;i<CardGame.view.getHandLength();++i) {
      var handCard = CardGame.view.myHand.children[i];
      if (this == handCard) {continue;}
      if (handCard.isClicked) {
        handCard.isClicked = false;
        handCard.y = 0;
        break;
      }
    }
    if (byProg!=true) {
      this.isClicked = true;
      this.y = this.y + CardGame.view.cardMoveByClickY;
    }
  }
};

CardView.prototype.enableCard = function(card) {
  var that=this;
  var cardView = Card.getCard(this.myHand.children, card);
  if (cardView.isEnabled) {console.warn('cannot enable: already enabled');}
  
  cardView.interactive = true;
  
  cardView.on('click', this.cardClicked);
  cardView.on('tap', this.cardClicked);
  
  
  make_draggable(cardView, {y:true}, {onMove: function(y) {
    if (this.startY < y) {this.position.y = this.startY; return;}
    if (this.startY < y+2*CardGame.view.cardH) {
      this.position.y = y; return;
    }
  }, onUp: function(isDragging) {
    if (isDragging) {
      if (this.startY > this.position.y+CardGame.view.cardH) {CardGame.view.cardClicked.call(this, true);}
      else {this.position.y = this.startY;}
    }
  }});

  /*cardView.on('mouseover', function() {
    //this.strokeEnabled(true);
    //that.main_layer.draw();
  });
  cardView.on('mouseout', function() {
    //this.strokeEnabled(false);
    //that.main_layer.draw();
  });*/
  
  cardView.isEnabled = true;
};
CardView.prototype.disableCard = function(cardView) {
  cardView.off('click');
  cardView.off('tap');
  make_undraggable(cardView);
  //cardView.off('mouseover');
  //cardView.off('mouseout');
  cardView.isEnabled = false;
  //cardView.strokeEnabled(false);
  /*if (cardView.isClicked) {
    cardView.y = 0;
    cardView.isClicked = false;
  }*/
};
CardView.prototype.clearHand = function() {
  this.myHand.removeChildren();
};
CardView.prototype.dealHand = function() {
  var hand = this.model.getHand();
  var orderedCards = this.orderCards(hand);
  for (var i=0; i<orderedCards.length; ++i) {
	  this.addCardToHand(orderedCards[i], i);
  }
};
CardView.prototype.getHandLength = function() {
  return this.myHand.children.length;
};
CardView.prototype.playCardOnTable = function(card, player, dealNum, trick, callback) {
  var that=this;
    
  if (that.model.isMe(player)) {that.disableHand();}
  var cardView = that.display.cards[Card.getId(card.suit, card.rank)];
  cardView.trick = trick;
  cardView.seat = player.seat;
  //cardView.y = that.cardMoveByClickY;
  var playerPos =  that.playerPositions[player.id];
  var coords = that.playerPosCoords[playerPos];
  
  var playerView = this.display.playerViews[player.seat];
  var pos = this.playerPositions[player.id];
  var coords = this.playerPosCoords[pos];
  var hand;
  var isMe = (pos == this.myPosition.name);
  if (!isMe) {hand = playerView.hand;}
  else {hand = this.myHand;}
  
  this.tweenPlayCardOnTable(player, cardView, coords, function() {
  		cardView.setParent(that.display.cardTable);
  		cardView.position.set(coords.table.x, coords.table.y);
  		that.display.cardTable.checkTrickState(trick, dealNum);
  		callback.call(that);
  	}
  );
  
  if (hand.children.length>2) {this.tweenHandCloseUp(player, cardView.indInHand);}
};
CardView.prototype.addCardToTable = function(card, seat, trick) {
  var playerPos = this.getPlayerPosition(seat);
  var coords = this.playerPosCoords[playerPos];
}
CardView.prototype.clearTable = function() {
  this.cardTable.removeChildren();
};
CardView.prototype.endGame = function() {
	this.showDialog(CardView.DIALOGS.ENDED, true);

};
CardView.prototype.setNextPlayer = function(player) {
  console.log('STARTER IS: ');
  console.log(player);
};
CardView.prototype.orderCards = function(cards) {
  var orderedCards=[];
  for (var s=0;s<this.SuitSort.length;++s) {
    var scards = Card.getSuitCards(cards, this.SuitSort[s]);
    if (scards.length) {
      scards.sort(function(a,b){return a.rankVal > b.rankVal;});
      orderedCards = orderedCards.concat(scards);
    }
  }
  return orderedCards;
};
CardView.prototype.tweenHandCloseUp = function(player, playedInd, woAnim) {
	if (!this.model.isMe(player)) {return;}
	
	if (!this.myHand.children) {return;}
	
	var pos = this.getPlayerPosition(player.seat);
	var coords = this.playerPosCoords[pos];
	var prevs=[], nexts=[];
	var cards = this.myHand.children;
	for (var i=0; i<cards.length; ++i) {
		if (cards[i].indInHand <playedInd) {prevs.push(cards[i]);}
		else if (cards[i].indInHand>playedInd) {nexts.push(cards[i]);}
	}
	
	var dist1 = Math.floor(coords.hand.btw/2), dist2 = (coords.hand.btw-dist1);
	var tw=[],tw1,tw2;
	if (prevs.length) {tw1 = TweenLite.to(prevs, 1, {x:"+="+dist2, ease:Linear.easeNone});tw.push(tw1);}
	if (nexts.length) {tw2 = TweenLite.to(nexts, 1, {x:"-="+dist1, ease:Linear.easeNone});tw.push(tw2);}
	this.display.playerViews[player.seat].timelineHand.add(tw);
}
CardView.prototype.tweenPlayCardOnTable = function(player, cardView, coords, callback) {
  var that=this;
	var duration = (this.model.isMe(player))?2:0;
	var delay = (this.model.isMe(player))?0:1;
	var travel = cardView.toLocal(coords.table, this.display.cardTable);
	travel.x += cardView.getGlobalPosition().x; travel.y += cardView.getGlobalPosition().y;
	
	this.display.cardTable.timeline.add(
	    TweenLite.to(cardView, duration, {x:travel.x, y:travel.y, delay: delay, startAt:{onComplete:function(){
	      var shift = cardView.toLocal(cardView.position, that.display.main_stage);
	      cardView.setParent(that.display.main_stage);
	      cardView.position.x -= shift.x; cardView.position.y -= shift.y;
	    }}, onComplete:callback})
	);
}
CardView.prototype.showDialog = function(dialog, isFadeIn) {
  $('.dialog').hide();
  this.activeDialog = dialog;
  if (dialog == CardView.DIALOGS.NONE) {return;}
  if (isFadeIn) {this.dialogs[dialog.name].fadeIn();}
  else {this.dialogs[dialog.name].show();}
}
CardView.prototype.hideDialog = function(dialog, isFadeOut) {
  if (isFadeOut) {this.dialogs[dialog.name].fadeOut();}
  else {this.dialogs[dialog.name].hide();}
  if (this.activeDialog == dialog) {this.activeDialog = CardView.DIALOGS.NONE;}
}
CardView.prototype.cancelShowDialog = function(timeoutId, dialog) {
  if (this.timeoutIDs[timeoutId]) {clearTimeout(this.timeoutIDs[timeoutId]);}
  if (this.activeDialog == dialog) {this.showDialog(CardView.DIALOGS.NONE);}
}
CardView.prototype.startAnim = function() {
	if (this.anim.stopped) {this.anim.id = requestAnimationFrame(animate);}
}
CardView.prototype.stopAnim = function() {
	cancelAnimationFrame(this.anim.id);
}




var CardModel = function() {
  var totalNumOfPlayers = 4;
  this.NUM_CARD_IN_DEAL_HAND = 13;
  var myInfo = {id:'',username:''};
  var me = null;
  var myHand = [];
  var table = [];
  var players = [];
  var playerData = {};
  var nextPlayerPos;
  var currentDealNum = 0;
  
  this.setMyInfo = function(id, username) {
    myInfo.id = id;
    myInfo.username = username;
  };
  this.getMyInfo = function() {
    return myInfo;
  }
  this.isMe = function(player_or_username) {
    if (player_or_username instanceof CardPlayer && (me != undefined)) {
      return player_or_username == me;
    }
    else {return (player_or_username === myInfo.id);}
  };
  this.getHand = function() {
    return myHand.slice(0);
  };
  this.setHand = function(cards) {
    if (cards == undefined || !(cards instanceof Array)) return;
    myHand = cards.slice(0, this.NUM_CARD_IN_DEAL_HAND);
  };
  this.addCardToHand = function(card) {
    if (this.getHandLength() < this.NUM_CARD_IN_DEAL_HAND) {
      myHand.push(card);
    }
  };
  this.removeCardFromHand = function(card) {
    var ind = Card.indOfCard(myHand, card);
    if (ind >= 0 && ind < myHand.length) {
      myHand.splice(ind, 1);
      return true;
    }
    return false;
  };
  this.getHandLength = function() {
    return myHand.length;
  };
  this.addCardToTable = function(card) {
    table.push(card);
  };
  this.getTable = function() {
    return table.slice(0);
  };
  this.setTable = function(cards) {
    if (cards == undefined || !(cards instanceof Array)) return;
    table = cards.slice(0, cards.length);
  };
  this.clearTable = function() {
    table = [];
  };
  this.getTableLength = function() {
    return table.length;
  };
  this.getMe = function() {
    return me;
  };
  this.setMe = function(player) {
    me = player;
  };
  this.getTotalNumOfPlayers = function() {
    return totalNumOfPlayers;
  };
  this.addPlayer = function(player) {
    if (this.getPlayer(player.id)) {return false;}
    players.push(player);
    if (this.isMe(player.id)) {
      this.setMe(player);
    }
    
    return true;
  };
  this.removePlayer = function(id) {
    for (var i=0; i<players.length; ++i) {
      if (id === players[i].id) {
        if (this.isMe(players[i])) {this.setMe(null);}
        return players.splice(i, 1)[0];
      }
    }
  };
  this.getPlayer = function(id) {
    for (var i=0; i<players.length; ++i) {
      if (id === players[i].id) {return players[i];}
    }
  };
  this.getPlayerBySeat = function(seat) {
    for (var i=0; i<players.length; ++i) {
      if (seat === players[i].seat) {return players[i];}
    }
  }
  this.getPlayers = function() {
    return players.slice(0);
  };
  this.setPlayers = function(ps) {
    players = ps;
  }
  this.getPlayerData = function(player) {
    return playerData[player.seat];
  };
  this.resetPlayerData = function(player) {
    if (playerData[player.seat]) {playerData[player.seat]=new PlayerData();}
  };
  this.resetAllPlayerData = function() {
    for (var i=0; i<players.length; ++i) {this.resetPlayerData(players[i]);};
  };
  this.setNextPlayerPos = function(pos) {
    nextPlayerPos = pos;
  };
  this.getNextPlayerPos = function() {
      return nextPlayerPos;
  };
  this.getCurrentDealNum = function() {
    return currentDealNum;
  }
  this.setCurrentDealNum = function(num) {
    currentDealNum = num;
  }
};
CardModel.prototype.reset = function() {
  this.setMe(null);
  this.setPlayers([]);
}
CardModel.prototype.init = function() {
  this.setHand([]);
  this.setTable([]);
  this.resetAllPlayerData();
  this.setNextPlayerPos(undefined);
  this.setCurrentDealNum(0);
};
CardModel.prototype.playCardOnTable = function(card, player) {
  if (this.getMe().id===player.id) {
    if (this.removeCardFromHand(card)) {this.addCardToTable(card);}
  }
  else {this.addCardToTable(card);}
};
CardModel.prototype.startGame = function() {
};
CardModel.prototype.endGame = function() {
};
CardModel.prototype.endTrick = function(currentDealNum, endedTrick) {
  this.tricksEnded[currentDealNum][endedTrick].resolve();
};


function Card(texture, suit, rank) {
    PIXI.Sprite.call(this, texture);
    this.interactive = true;
    this.suit = suit;
    this.rank = rank;
    this.suitVal = Card.SUITS[suit];
    this.rankVal = Card.RANKS[rank];
    this.indInHand;
    this.isEnabled = false;
    this.isClicked = false;
    this.trick;
}

Card.prototype = Object.create(PIXI.Sprite.prototype);
Card.prototype.constructor = Card;


Card.SUITS = {CLUBS:0, DIAMONDS:1, HEARTS:2, SPADES:3};
Card.RANKS = {TWO:0, THREE:1, FOUR:2, FIVE:3, SIX:4, SEVEN:5, EIGHT:6, NINE:7, TEN:8, 
                              JACK:9, QUEEN:10, KING:11, ACE:12};
Card.getSuit = function(val) {
  for (var key in this.SUITS) {
    if (this.SUITS[key] == val) {
      return key;
    }
  }
};
Card.prototype.getSuit = function() {
  return this.suit;
};
Card.getRank = function(val) {
  for (var key in this.RANKS) {
    if (this.RANKS[key] == val) {
      return key;
    }
  }
};
Card.prototype.getRank = function() {
  return this.rank;
};
Card.prototype.reset = function() {
	this.trick = undefined;
	this.indInHand = undefined;
	this.position.set(0,0);
}
Card.getId = function(suit, rank) {
  return suit+'_'+rank;
};
Card.prototype.getId = function() {
  return Card.getId(this.suit, this.rank);
};
Card.NumOfSuits = getSizeOfMap(Card.SUITS);
Card.NumOfRanks = getSizeOfMap(Card.RANKS);
Card.NumOfCards = Card.NumOfSuits*Card.NumOfRanks;

Card.equals = function(card1, card2) {
  return (card1.rankVal == card2.rankVal && card1.suitVal == card2.suitVal);
};
Card.compareVal = function(card1, card2, trump) {
  if (trump) {
    if (card1.suitVal != card2.suitVal) {
      if (card1.suitVal == trump) {return 1;}
      else if (card2.suitVal == trump) {return -1;}
    }
  }
  
  if (card1.rankVal > card2.rankVal) return 1;
  else if (card1.rankVal < card2.rankVal) return -1;
  else return 0;
};

Card.hasCard = function(cards, card_or_suitVal, rankVal) {
  if (!cards || !cards.length) return false;
  if (card_or_suitVal instanceof Card) {
    return Card.indOfCard(cards, card_or_suitVal)>=0 ? true : false;
  }
  else {
    for (var i=0; i<cards.length; ++i) {
      if (card_or_suitVal == cards[i].suitVal && rankVal == cards[i].rankVal) return true;
    }
  }
  
  return false;
};
Card.hasSuit = function(cards, suitVal) {
  if (!cards || !cards.length) return false;
  for (var i=0; i<cards.length; ++i) {
    if (cards[i].suitVal == suitVal) return true;
  }
  return false;
};
Card.hasRank = function(cards, rankVal) {
  if (!cards || !cards.length) return false;
  for (var i=0; i<cards.length; ++i) {
    if (cards[i].rankVal == rankVal) return true;
  }
  return false;
};
Card.getCard = function(cards, card) {
	if (!cards || !cards.length || !card) return undefined;
	for (var i=0; i<cards.length; ++i) {
		if (Card.equals(cards[i], card)) {return cards[i];}
	}
}
Card.indOfCard = function(cards, card) {
  if (!cards || !cards.length || !card) return undefined;
  for (var i=0; i<cards.length; ++i) {
    if (Card.equals(cards[i], card)) {return i;}
  }
};
Card.getSuitCards = function(cards, suitVal) {
  var suitCards=[];
  for (var i=0; i<cards.length; ++i) {
    if (cards[i].suitVal == suitVal) {suitCards.push(cards[i]);}
  }
  return suitCards;
};
Card.getRankCards = function(cards, rankVal) {
  var rankCards=[];
  for (var i=0; i<cards.length; ++i) {
    if (cards[i].rankVal == rankVal) {rankCards.push(cards[i]);}
  }
  return rankCards;
};
Card.getMaxRank = function(cards) {
  if (!cards.length) return null;
  var maxRank = cards[0].rankVal;
  for (var i=1;i<cards.length;++i) {
    if (cards[i].rankVal > maxRank) {maxRank = cards[i].rankVal;}
  }
  return maxRank;
};
Card.getMinRank = function(cards) {
  if (!cards.length) return null;
  var minRank = cards[0].rankVal;
  for (var i=1;i<cards.length;++i) {
    if (cards[i].rankVal < minRank) {minRank = cards[i].rankVal;}
  }
  return minRank;
};
Card.addStr = function(suitVal_rankVal) {
	suitVal_rankVal.suit = Card.getSuit(suitVal_rankVal);
	suitVal_rankVal.rank = Card.getRank(suitVal_rankVal);
	return suitVal_rankVal;
}
Card.addVal = function(suit_rank) {
	suit_rank.suitVal = Card.SUITS[suit_rank.suit];
	suit_rank.rankVal = Card.RANKS[suit_rank.rank];
	return suit_rank;
}


var CardPlayer = function(id, username, seat) {
  this.id = id;
  this.username = username;
  this.seat = seat;
};

var PlayerData = function() {
  this.point = 0;
  this.tricks = 0;
};


function PlayerView(pos) {
    PIXI.Container.call(this);
    this.timelineHand = new TimelineLite();
    this.pos = pos;
    this.seat = CardView.PLAYER_POSITIONS[pos].val;
    
    this.usernameGroup = new PIXI.Container();
    this.usernameGroup.usernameText = new PIXI.Text("", {font:"20px Calibri"});
    
    if (!CardGame.view.smallScreen) {
    	this.usernameGroup.nameplate = new PIXI.Sprite(PIXI.loader.resources.nameplate.texture);
    	this.usernameGroup.bg = (new PIXI.Graphics()).beginFill(0x000000);
      this.usernameGroup.bg.lineStyle(0, 0x000000).drawRect(0,0,134,28);
      this.usernameGroup.addChild(this.usernameGroup.bg);
    }
    else {
    	this.usernameGroup.nameplate = new PIXI.Sprite(PIXI.loader.resources.nameplate_sm.texture);
    	var yourTurnArrow = new PIXI.Sprite(PIXI.loader.resources.yourTurnArrow.texture);
    	this.yourTurnArrow = yourTurnArrow;
    	this.addChild(yourTurnArrow);
    }
    
  this.usernameGroup.addChild(this.usernameGroup.nameplate);
	this.usernameGroup.addChild(this.usernameGroup.usernameText);

	this.hand = new PIXI.Container();
	
	this.addChild(this.usernameGroup);
	this.addChild(this.hand);
	
	if (!CardGame.view.smallScreen) {
		this.chair = new PIXI.Sprite(PIXI.loader.resources.chair.texture);
		this.chair.buttonMode = true;
		this.addChild(this.chair);
	}

}
PlayerView.prototype = Object.create(PIXI.Container.prototype);
PlayerView.prototype.constructor = PlayerView;
PlayerView.prototype.setCoords = function(coords) {
	this.position.set(coords.group.x, coords.group.y);
	this.usernameGroup.position.set(coords.username.group.x, coords.username.group.y);
	this.usernameGroup.usernameText.position.set(coords.username.text.x, coords.username.text.y);
	
	this.usernameGroup.nameplate.position.set(coords.username.plate.x, coords.username.plate.y);
	if (CardGame.view.smallScreen) {
		this.usernameGroup.nameplate.scale.set(coords.username.plate.scaleX, coords.username.plate.scaleY);
		this.usernameGroup.nameplate.anchor.set(coords.username.plate.scaleX<0?1:0, coords.username.plate.scaleY<0?1:0);
		this.usernameGroup.rotation = coords.username.group.rot;
		this.yourTurnArrow.position.set(coords.yourTurn.x, coords.yourTurn.y);
    this.yourTurnArrow.rotation = coords.yourTurn.rot;
    this.yourTurnArrow.visible = false;
    this.yourTurnArrowTween = TweenLite.to(this.yourTurnArrow, 0.5, {x:'+='+(coords.yourTurn.rot==0?5:0)+'px', y:'+='+(coords.yourTurn.rot==0?0:5)+'px', paused:true, onComplete:function(){this.reverse();},
                                 onReverseComplete:function(){this.play();}});
	}
	else {
	  this.usernameGroup.bg.position.set(coords.username.text.x-15, coords.username.text.y-2);
	  this.chair.position.set(coords.sitdown.x, coords.sitdown.y);
	}

	this.hand.position.set(coords.hand.x, coords.hand.y);
}
PlayerView.prototype.init = function(isPartial) {
	var usernameText = this.usernameGroup.usernameText;
	usernameText.text = 'bekleniyor...';
	//usernameText.y(coords.username.text.y+Math.floor((coords.username.text.h-usernameText.height())/2));
	
	if (!CardGame.view.smallScreen) {
	    usernameText.style.fill='orange';
		this.chair.visible = true;
		this.chair.interactive = true;
		var that=this;
		this.chair.on('click', function() {CardGame.view.controller.onClickedSitDown(CardView.PLAYER_POSITIONS[that.pos].val);});
	}
	else {
	    usernameText.style.fill = 'black';
	}
	if (!isPartial) {
	    if (this.hand) {this.hand.removeChildren();}
	}
}
PlayerView.prototype.isOccupied = function() {
	if (this.player) {return true;}
	else return false;
}


function CardTable() {
	PIXI.Container.call(this);
	this.timeline = new TimelineLite();
}
CardTable.prototype = Object.create(PIXI.Container.prototype);
CardTable.prototype.constructor = CardTable;
CardTable.prototype.checkTrickState = function(trick, dealNum) {
	if (this.children.length < 4) {return;} // 4: num of player
	var trickCards = this.children.filter(function(c) {return c.trick == trick;});
	var that=this;
	if (trickCards.length == 4) {
		$.when(CardGame.view.model.tricksEnded[dealNum][trick]).then(function(taker){that.clearTrick(trickCards, taker);});
	}
}
CardTable.prototype.clearTrick = function(trickCards, taker) {
	var that=this;
	var cpTable = new PIXI.Container();
	cpTable.position.set(this.x, this.y)
	CardGame.view.display.main_stage.addChild(cpTable);
	trickCards.forEach(function(c){cpTable.addChild(c);});
	var coords = CardGame.view.playerPosCoords[CardGame.view.getPlayerPosition(taker.seat)];
	TweenLite.to(cpTable, 2, {x:coords.group.x+coords.takenCard.x, y:coords.group.y+coords.takenCard.y, alpha:0, delay:CardGame.view.trickEndTO/1000, onComplete:function(){cpTable.parent.removeChild(cpTable);cpTable.destroy(false);}});
}

function make_draggable(dispObj, axis, dragFunctions) {
  if (!dragFunctions) {dragFunctions={};}
	dispObj.mousedown = dispObj.touchstart = function(data)
	{
//		data.originalEvent.preventDefault()
		// store a refference to the data
		// The reason for this is because of multitouch
		// we want to track the movement of this particular touch
	  this.startX = this.x;
	  this.startY = this.y;
		this.data = data;
		this.dragging = true;
		this.positionOffset = data.data.getLocalPosition(this);
		this.dragged = false;
	};
	
	// set the events for when the mouse is released or a touch is released
	dispObj.mouseup = dispObj.mouseupoutside = dispObj.touchend = dispObj.touchendoutside = function(data)
	{
	  var isDragging = this.dragging;
		this.dragging = false;
		// set the interaction data to null
		this.data = null;
		if (dragFunctions.onUp) {dragFunctions.onUp.call(this, isDragging);}
	};
	
	if (!axis || !axis.y) {
		dispObj.mousemove = dispObj.touchmove = function(data)
		{
			if(this.dragging)
			{
				// need to get parent coords..
				var newPosition = this.data.data.getLocalPosition(this.parent);
				var thisX = Math.round(newPosition.x - this.positionOffset.x);
				if (dragFunctions.onMove) {dragFunctions.onMove.call(this, thisX);}
				else {this.position.x = thisX;} 
				
			}
		}
	}
	else if (axis && axis.y) {
		dispObj.mousemove = dispObj.touchmove = function(data)
		{
			if(this.dragging)
			{
				// need to get parent coords..
				var newPosition = this.data.data.getLocalPosition(this.parent);
				var thisY = Math.round(newPosition.y - this.positionOffset.y);
				if (dragFunctions.onMove) {dragFunctions.onMove.call(this, thisY);}
				else {this.position.y = thisY;} 
			}
		}
	}
	else {
		// set the callbacks for when the mouse or a touch moves
		dispObj.mousemove = dispObj.touchmove = function(data)
		{
			if(this.dragging)
			{
				// need to get parent coords..
				var newPosition = this.data.data.getLocalPosition(this.parent);
				var thisX = Math.round(newPosition.x - this.positionOffset.x);
				var thisY = Math.round(newPosition.y - this.positionOffset.y);
				
				if (dragFunctions.onMove) {
				  dragFunctions.onMove.call(this, thisX, thisY);
				}
				else {
					this.position.x = thisX;
					this.position.y = thisY;
				}
			}
		}
	}
}

function make_undraggable(dispObj) {
  dispObj.mousedown=null;
  dispObj.touchstart=null;
  dispObj.mouseupoutside=null;
  dispObj.touchmove=null;
}

TweenLite.lagSmoothing(0);
function animate() {
    CardGame.view.anim.id=requestAnimationFrame(animate);
    CardGame.view.draw();
}

//@ sourceURL=cardgame.js

